﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup>
    <Filter Include="biomed">
      <UniqueIdentifier>{7afa5b30-7f85-4b0e-b373-fe48649f4229}</UniqueIdentifier>
    </Filter>
    <Filter Include="core">
      <UniqueIdentifier>{cb68b9af-150a-4a91-b169-9ba9eb3d815b}</UniqueIdentifier>
    </Filter>
    <Filter Include="assembler">
      <UniqueIdentifier>{64731cac-f7c0-477c-8d03-3d987c67de2f}</UniqueIdentifier>
    </Filter>
    <Filter Include="core\include">
      <UniqueIdentifier>{673a4d23-dc6d-4ab9-ae7b-bc629fa4277f}</UniqueIdentifier>
    </Filter>
    <Filter Include="biomed\include">
      <UniqueIdentifier>{479e6083-c217-4692-9ea9-f4349d5691e2}</UniqueIdentifier>
    </Filter>
    <Filter Include="assembler\include">
      <UniqueIdentifier>{42801471-bab0-44d9-a148-1c3df717ad46}</UniqueIdentifier>
    </Filter>
    <Filter Include="include">
      <UniqueIdentifier>{6a178284-e6dd-4d44-b694-49fffd88d1b1}</UniqueIdentifier>
    </Filter>
    <Filter Include="core\cuda">
      <UniqueIdentifier>{52669a61-6115-40bd-b184-254a59f0d557}</UniqueIdentifier>
    </Filter>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="core\engine_common.cpp">
      <Filter>core</Filter>
    </ClCompile>
    <ClCompile Include="core\enginex86.cpp">
      <Filter>core</Filter>
    </ClCompile>
    <ClCompile Include="core\gates.cpp">
      <Filter>core</Filter>
    </ClCompile>
    <ClCompile Include="core\ions.cpp">
      <Filter>core</Filter>
    </ClCompile>
    <ClCompile Include="core\kernels.cpp">
      <Filter>core</Filter>
    </ClCompile>
    <ClCompile Include="core\netmap.cpp">
      <Filter>core</Filter>
    </ClCompile>
    <ClCompile Include="core\view.cpp">
      <Filter>core</Filter>
    </ClCompile>
    <ClCompile Include="biomech\muscles.cpp">
      <Filter>biomed</Filter>
    </ClCompile>
    <ClCompile Include="biomech\reach.cpp">
      <Filter>biomed</Filter>
    </ClCompile>
    <ClCompile Include="biomech\spcord.cpp">
      <Filter>biomed</Filter>
    </ClCompile>
    <ClCompile Include="assembler\cal_funcs.cpp">
      <Filter>assembler</Filter>
    </ClCompile>
    <ClCompile Include="assembler\commands.cpp">
      <Filter>assembler</Filter>
    </ClCompile>
    <ClCompile Include="assembler\customfuncs.cpp">
      <Filter>assembler</Filter>
    </ClCompile>
    <ClCompile Include="assembler\datafiles.cpp">
      <Filter>assembler</Filter>
    </ClCompile>
    <ClCompile Include="assembler\ichannels.cpp">
      <Filter>assembler</Filter>
    </ClCompile>
    <ClCompile Include="assembler\iodata.cpp">
      <Filter>assembler</Filter>
    </ClCompile>
    <ClCompile Include="assembler\networks.cpp">
      <Filter>assembler</Filter>
    </ClCompile>
    <ClCompile Include="assembler\nnonspikeunits.cpp">
      <Filter>assembler</Filter>
    </ClCompile>
    <ClCompile Include="assembler\npopulations.cpp">
      <Filter>assembler</Filter>
    </ClCompile>
    <ClCompile Include="assembler\nprojects.cpp">
      <Filter>assembler</Filter>
    </ClCompile>
    <ClCompile Include="assembler\parameters.cpp">
      <Filter>assembler</Filter>
    </ClCompile>
    <ClCompile Include="assembler\templets.cpp">
      <Filter>assembler</Filter>
    </ClCompile>
    <ClCompile Include="bgnet.cpp" />
    <ClCompile Include="main.cpp" />
    <ClCompile Include="script.cpp" />
    <ClCompile Include="util.cpp" />
  </ItemGroup>
  <ItemGroup>
    <CudaCompile Include="core\enginegpu.cu">
      <Filter>core</Filter>
    </CudaCompile>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="core\debug.h">
      <Filter>core\include</Filter>
    </ClInclude>
    <ClInclude Include="core\engine.h">
      <Filter>core\include</Filter>
    </ClInclude>
    <ClInclude Include="core\gateproc.h">
      <Filter>core\include</Filter>
    </ClInclude>
    <ClInclude Include="core\gates.h">
      <Filter>core\include</Filter>
    </ClInclude>
    <ClInclude Include="core\ionproc.h">
      <Filter>core\include</Filter>
    </ClInclude>
    <ClInclude Include="core\ions.h">
      <Filter>core\include</Filter>
    </ClInclude>
    <ClInclude Include="core\kernels.h">
      <Filter>core\include</Filter>
    </ClInclude>
    <ClInclude Include="core\lsnsmath.h">
      <Filter>core\include</Filter>
    </ClInclude>
    <ClInclude Include="core\netmap.h">
      <Filter>core\include</Filter>
    </ClInclude>
    <ClInclude Include="core\synapses.h">
      <Filter>core\include</Filter>
    </ClInclude>
    <ClInclude Include="core\synproc.h">
      <Filter>core\include</Filter>
    </ClInclude>
    <ClInclude Include="core\viewproc.h">
      <Filter>core\include</Filter>
    </ClInclude>
    <ClInclude Include="core\views.h">
      <Filter>core\include</Filter>
    </ClInclude>
    <ClInclude Include="biomech\biomech.h">
      <Filter>biomed</Filter>
    </ClInclude>
    <ClInclude Include="biomech\muscles.h">
      <Filter>biomed\include</Filter>
    </ClInclude>
    <ClInclude Include="biomech\reach.h">
      <Filter>biomed\include</Filter>
    </ClInclude>
    <ClInclude Include="biomech\spcord.h">
      <Filter>biomed\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\cal_funcs.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\cal_macro_funcs.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\commands.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\customfuncs.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\datafiles.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\ichannels.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\iodata.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\myheader.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\myheader_all.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\networks.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\nnonspikeunits.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\npopulations.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\nprojects.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\simulation.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\parameters.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="assembler\templets.h">
      <Filter>assembler\include</Filter>
    </ClInclude>
    <ClInclude Include="bgnet.h">
      <Filter>include</Filter>
    </ClInclude>
    <ClInclude Include="config.h">
      <Filter>include</Filter>
    </ClInclude>
    <ClInclude Include="script.h">
      <Filter>include</Filter>
    </ClInclude>
    <ClInclude Include="util.h">
      <Filter>include</Filter>
    </ClInclude>
    <ClInclude Include="core\cuda_timer.h">
      <Filter>core\cuda</Filter>
    </ClInclude>
    <ClInclude Include="core\helper_cuda.h">
      <Filter>core\cuda</Filter>
    </ClInclude>
    <ClInclude Include="core\helper_string.h">
      <Filter>core\cuda</Filter>
    </ClInclude>
  </ItemGroup>
</Project>